package com.perforce.hws.testing;

import org.junit.runners.Suite;
import org.testng.annotations.AfterSuite;
import org.testng.annotations.BeforeSuite;

import com.perforce.hws.automation.Basic14_2EnvironmentSetup;

import java.io.IOException;

/**
 * Created by tristan on 4/1/16.
 */
public class Basic14_2EnvironmentTestSetup implements SuiteCleanupHelpers {

    Basic14_2EnvironmentSetup setup = null;

    @BeforeSuite(dependsOnGroups = "log4j")
    public void runBasicEnvironmentSetup() {
        try {
            if (setup == null) {
                setup = new Basic14_2EnvironmentSetup();
            }
            setup.run();
            ServerProvider.setProvider(setup);
            ClientProvider.setConfig(setup.config());
        } catch (Exception e) {
            e.printStackTrace();
            setup = null;
        }
    }

    @AfterSuite
    public void cleanupEnvironment() {
        try {
            cleanUp(setup.coverageOutputPath(), "Basic14.2Test.exec");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
