package com.perforce.hws.testing.reporting;

/**
 * Provides basic summary methods for a suite.
 */
public class SuiteSummary {

    private String name;
    private int passed = 0;
    private int failed = 0;
    private int skipped = 0;

    public SuiteSummary(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void addFailed() {
        failed += 1;
    }

    public int getFailed() {
        return failed;
    }

    public void setFailed(int failed) {
        this.failed = failed;
    }

    public void addPassed() {
        passed += 1;
    }

    public int getPassed() {
        return passed;
    }

    public void setPassed(int passed) {
        this.passed = passed;
    }

    public void addSkipped() {
        skipped += 1;
    }

    public int getSkipped() {
        return skipped;
    }

    public void setSkipped(int skipped) {
        this.skipped = skipped;
    }

    public int getTotal() {
        return passed + failed + skipped;
    }
}
