package com.perforce.hws.testing;

import org.testng.annotations.AfterSuite;
import org.testng.annotations.BeforeSuite;

import com.perforce.hws.automation.Basic14_1EnvironmentSetup;

import java.io.IOException;

/**
 * Created by tristan on 4/1/16.
 */
public class Basic14_1EnvironmentTestSetup implements SuiteCleanupHelpers {

    Basic14_1EnvironmentSetup setup = null;

    @BeforeSuite(dependsOnGroups = "log4j")
    public void runBasicEnvironmentSetup() {
        if (setup == null) {
            setup = new Basic14_1EnvironmentSetup();
        }
        try {
            setup.run();
            ServerProvider.setProvider(setup);
            ClientProvider.setConfig(setup.config());
        } catch (Exception e) {
            e.printStackTrace();
            setup = null;
        }
    }

    @AfterSuite
    public void cleanupEnvironment() {
        try {
            cleanUp(setup.coverageOutputPath(), "Basic14.1Test.exec");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
