package com.perforce.hws.testing;

import org.testng.annotations.AfterSuite;
import org.testng.annotations.BeforeSuite;

import com.perforce.hws.automation.Basic15_1EnvironmentSetup;

import java.io.IOException;

/**
 * Created by tristan on 4/1/16.
 */
public class Basic15_1EnvironmentTestSetup implements SuiteCleanupHelpers {

    Basic15_1EnvironmentSetup setup = null;

    @BeforeSuite(dependsOnGroups = "log4j")
    public void runBasicEnvironmentSetup() {
        try {
            if (setup == null) {
                setup = new Basic15_1EnvironmentSetup();
            }
            setup.run();
            ServerProvider.setProvider(setup);
            ClientProvider.setConfig(setup.config());
        } catch (Exception e) {
            e.printStackTrace();
            setup = null;
        }
    }

    @AfterSuite
    public void cleanupEnvironment() {
        try {
            cleanUp(setup.coverageOutputPath(), "Basic15.1Test.exec");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}