package com.perforce.hws.testing;

import org.testng.annotations.BeforeSuite;

import com.perforce.hws.automation.CloudEnvironmentSetup;

import java.io.IOException;

/**
 * Created by tjuricek on 12/16/15.
 */
public class CloudEnvironmentTestSetup {

    CloudEnvironmentSetup setup = null;

    @BeforeSuite(dependsOnGroups = "log4j")
    public void runBasicEnvironmentSetup() throws IOException {
        if (setup == null) {
            setup = new CloudEnvironmentSetup();
        }
        setup.run();
        ServerProvider.setProvider(setup);
        ClientProvider.setConfig(setup.config());
    }

}
