package com.perforce.hws.testing;

import com.perforce.hws.automation.AutomationServerProvider;
import com.perforce.p4java.exception.ConfigException;
import com.perforce.p4java.exception.ConnectionException;
import com.perforce.p4java.exception.NoSuchObjectException;
import com.perforce.p4java.exception.ResourceException;
import org.testng.annotations.DataProvider;

import java.net.URISyntaxException;

/**
 * Created by tjuricek on 12/2/15.
 */
public class ServerProvider {

    static private AutomationServerProvider automationServerProvider;

    public static void setProvider(AutomationServerProvider h) {
        automationServerProvider = h;
    }

    @DataProvider(name = "server")
    public static Object[][] createServer() throws ConnectionException, ConfigException, NoSuchObjectException, URISyntaxException, ResourceException {
        if (automationServerProvider == null) {
            return null;
        }
        return new Object[][] {
                {automationServerProvider}
        };
    }
}
