package com.perforce.hws.testing.server;

import com.perforce.hws.testing.ClientProvider;
import com.perforce.hwsclient.models.ClientCommand;

import org.testng.annotations.Test;

import java.io.IOException;

import static junit.framework.Assert.assertNotNull;
import static org.testng.Assert.assertTrue;

/**
 * Created by tjuricek on 12/14/15.
 */
public class StatusTests {

    @Test
    public void reportsApplicationVersion() throws IOException {
        String version = ClientProvider.checkForVersion();
        assertNotNull(version);
    }

    @Test
    public void isSupported() {
        assertTrue(ClientProvider.isSupported());
    }
}
